/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.modules.entity;

import com.jeeplus.modules.sys.entity.User;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 模块选择Entity
 * @author 李韵轩
 * @version 2017-05-02
 */
public class ModuleChoose extends DataEntity<ModuleChoose> {
	
	private static final long serialVersionUID = 1L;
	private User user;		// 用户id
	private String moduleId;		// 模块id
	
	public ModuleChoose() {
		super();
	}

	public ModuleChoose(String id){
		super(id);
	}

	@ExcelField(title="用户id", fieldType=User.class, value="user.name", align=2, sort=1)
	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}
	
	@ExcelField(title="模块id", dictType="", align=2, sort=2)
	public String getModuleId() {
		return moduleId;
	}

	public void setModuleId(String moduleId) {
		this.moduleId = moduleId;
	}
	
}